| Version: 3.3.1

Static Public Member Functions | Protected Member Functions | List of all members
wxDateTimeUSCatholicFeasts Class Reference
Class List by Category » Data Structures

`#include <wx/datetime.h>`

Inheritance diagram for wxDateTimeUSCatholicFeasts:
[legend]

## Detailed Description

Holiday authority that returns Catholic holy days of obligation, as observed in the United States.

This includes:

- Solemnity of Mary, Mother of God
- Easter (moveable feast)
- Ascension (moveable feast)
- Assumption of the Blessed Virgin Mary
- All Saints Day
- Immaculate Conception of the Blessed Virgin Mary
- Christmas

##

Library: wxBase
Category: Data Structures

Since
  3.3.0

## Static Public Member Functions
static wxDateTime | GetEaster (int year)
| Returns the date for Easter for a given year. More...
static wxDateTime | GetThursdayAscension (int year)
| Returns the date for Ascension for a given year. More...
static wxDateTime | GetSundayAscension (int year)
| Returns the date for Ascension for a given year. More...
Static Public Member Functions inherited from wxDateTimeHolidayAuthority
static bool | IsHoliday (const wxDateTime &dt)
| Returns true if the given date is a holiday. More...
static size_t | GetHolidaysInRange (const wxDateTime &dtStart, const wxDateTime &dtEnd, wxDateTimeArray &holidays)
| Fills the provided array with all holidays in the given range, returns the number of them. More...
static void | ClearAllAuthorities ()
| Clears the list of holiday authorities. More...
static void | AddAuthority (wxDateTimeHolidayAuthority *auth)
| Adds a new holiday authority. More...

## Protected Member Functions
bool | DoIsHoliday (const wxDateTime &dt) const override
| Override which returns true if provided date is a holy day of obligation. More...
size_t | DoGetHolidaysInRange (const wxDateTime &dtStart, const wxDateTime &dtEnd, wxDateTimeArray &holidays) const override
| Override to determine the holy days of obligation within a date range. More...

## Member Function Documentation

## ◆ DoGetHolidaysInRange()

size_t wxDateTimeUSCatholicFeasts::DoGetHolidaysInRange | ( | const wxDateTime & | dtStart,
|  | const wxDateTime & | dtEnd,
|  | wxDateTimeArray & | holidays
| ) |  | const
| override protected virtual

Override to determine the holy days of obligation within a date range.

Implements wxDateTimeHolidayAuthority.

Reimplemented in wxDateTimeChristianHolidays.

## ◆ DoIsHoliday()

bool wxDateTimeUSCatholicFeasts::DoIsHoliday | ( | const wxDateTime & | dt | ) | const
| override protected virtual

Override which returns true if provided date is a holy day of obligation.

Implements wxDateTimeHolidayAuthority.

Reimplemented in wxDateTimeChristianHolidays.

## ◆ GetEaster()

static wxDateTime wxDateTimeUSCatholicFeasts::GetEaster | ( | int | year | ) |
| static

Returns the date for Easter for a given year.

## ◆ GetSundayAscension()

static wxDateTime wxDateTimeUSCatholicFeasts::GetSundayAscension | ( | int | year | ) |
| static

Returns the date for Ascension for a given year.

This is the same as GetThursdayAscension(), but moved to the Sunday following the traditional Ascension that falls on a Thursday.

## ◆ GetThursdayAscension()

static wxDateTime wxDateTimeUSCatholicFeasts::GetThursdayAscension | ( | int | year | ) |
| static

Returns the date for Ascension for a given year.

Celebrated on the 40th day of Easter/ sixth Thursday after Easter Sunday.